package com.ms.dal.mapper;

import com.ms.dal.entity.DsMessage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.lang.Nullable;

/**
 * @Entity com.ms.dal.entity.DsMessage
 */
@Mapper
public interface DsMessageMapper {

    int deleteByPrimaryKey(Long id);

    int insert(DsMessage record);

    int insertSelective(DsMessage record);

    DsMessage selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(DsMessage record);

    int updateByPrimaryKey(DsMessage record);

    DsMessage getNewestDsMessage(@Param("bizId") String bizId, @Param("bizType") String bizType, @Param("curPlatformPushMsgId") Long curPlatformPushMsgId, @Param("curGmtCreate") String curGmtCreate, @Param("purchaseOrderSn") @Nullable String purchaseOrderSn);

    int updateStatus(@Param("dsMessageId")Long dsMessageId, @Param("status")String status, @Param("reason")String reason);
}
